%define module	virtualenv
%define name	python-%{module}
%define version	1.7.1.2
%define subrel 2

Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
Summary:	Virtual Python Environment builder
Group:		Development/Python
License:	MIT
URL:		http://www.virtualenv.org/
Source0:	http://pypi.python.org/packages/source/v/%{module}/%{module}-%{version}.tar.gz
Patch0:		multiarch-1.6.patch
Patch1:		python-virtualenv-mga3358.patch
BuildArch:	noarch
BuildRequires:	python-setuptools
Requires:	python-pkg-resources

%description
virtualenv is a tool to create isolated Python environments.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0 -b .multiarch
%patch1 -p0 -b .mga3358

%build
PYTHONDONTWRITEBYTECODE= %{__python} setup.py build

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %{__python} setup.py install --root=%{buildroot} --record=FILE_LIST

%files -f FILE_LIST
%defattr(-,root,root,-)
%doc docs/*.txt


%changelog
* Mon Jul 29 2013 philippem <philippem> 1.7.1.2-1.2.mga2
+ Revision: 460603
- add requires python-pkg-resources
- use distribute by default when PYTHONDONTWRITEBYTECODE is set

  + kharec <kharec>
    - Backport 1.7.1.2 to fix #3358

  + lebedov <lebedov>
    - Remove python-devel install requirement (#4481).
    - Update to 1.7.

* Mon Sep 26 2011 lebedov <lebedov> 1.6.4-2.mga2
+ Revision: 148995
- imported package python-virtualenv

